using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CuXiao.CuXiaoSheZhi_Base
{
    public partial class W_CXFASZ_Main
    {
        protected string dw_yw_cxfasz_list = string.Empty;
        protected string Cur_FunctionID = string.Empty;
        protected string curCXFS = string.Empty;
        protected string curFormPzh = "";//外边凭证反调
        public W_CXFASZ_Main()
        {

        }
        public override void OnLoad()
        {
            
            base.OnLoad();
            if (string.IsNullOrEmpty(dw_yw_cxfasz_list))
            {
                dw_yw_cxfasz_list = "dw_yw_cxfasz_list";
            }
            if (string.IsNullOrEmpty(Cur_FunctionID))
            {
                Cur_FunctionID = "Cur_FunctionID";
            }
            if (string.IsNullOrEmpty(curCXFS))
            {
                curCXFS = "ybcxfs";
            }
            this.SetParm("curCXFS", curCXFS);
            dw_list.DataStore.DataWindowObject = dw_yw_cxfasz_list;
            A8ERP.Common.DWServiceHelp.AddReportService(dw_list);
            dw_mkfhjb.Retrieve(Cur_FunctionID);  // 审核级别 
            dw_list.Retrieve();

            this.SetParm("CURGNQXSTR", base.GnqxStr);

            if (base.GnqxStr.IndexOf("btn_Edit") < 0)
            {
                tb_1.GetItem("btn_zz").Enabled = false;
            }
            if (this.Page != null)
            {   
                this.Page.ClientScript.RegisterClientScriptInclude("W_YiBanCuXiaoSheZhi", "/CuXiao/YiBanCuXiaoSheZhi/W_YiBanCuXiaoSheZhi.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_CXFASZ_Edit", "/CuXiao/CuXiaoSheZhi_Base/W_CXFASZ_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_CXFASZ_Main", "/CuXiao/CuXiaoSheZhi_Base/W_CXFASZ_Main.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowInsertRowCxfaSpkhBase", "/DangAn/Base/OpenWindowInsertRowCxfaSpkhBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Mxjrlyj_Edit", "/CuXiao/Mxjrlyj/W_Mxjrlyj_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Mxjdyz_Edit", "/CuXiao/Mxjdyz/W_Mxjdyz_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Mxjxsmytj_Edit", "/CuXiao/Mxjxsmytj/W_Mxjxsmytj_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Mxjsyj_Edit", "/CuXiao/Mxjsyj/W_Mxjsyj_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Mxjsyyzq_Edit", "/CuXiao/Mxjsyyzq/W_Mxjsyyzq_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Mmxyjyyszjsp_Edit", "/CuXiao/Mmxyjyyszjsp/W_Mmxyjyyszjsp_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_mmxyjyyzszsp_Fajb_list", "/CuXiao/Mmxyjyyszjsp/W_mmxyjyyzszsp_Fajb_list.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Mmxydyz_Edit", "/CuXiao/Mmxydyz/W_Mmxydyz_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_W_Mmxysyyzq_Edit", "/CuXiao/Mmxysyyzq/W_W_Mmxysyyzq_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Mmxyrlyy_Edit", "/CuXiao/Mmxyrlyy/W_Mmxyrlyy_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Mmxysyysp_Edit", "/CuXiao/Mmxysyysp/W_Mmxysyysp_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Mxjrlyy_Edit", "/CuXiao/Mxjrlyy/W_Mxjrlyy_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Mmxystdsp_Edit", "/CuXiao/Mmxystdsp/W_Mmxystdsp_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_CXFSSPDR", "/import/W_CXFSSPDR.win.js?JSV=" + AppService.GetJSVesion());

            }
            #region 外来凭证打开
            if (Request["curFormPzh"] != null)
            {
                curFormPzh = Request["curFormPzh"].ToString();
            }
            this.SetParm("curFormPzh", curFormPzh);
            #endregion 
        }
    }
}
